Security Enhanced Linux Reference Policy

# Layer: admin

## Module: prelink

Interfaces

### Description:

Prelink ELF shared library mappings.

### Interfaces:

prelink_delete_cache( file_type )

##### Summary

Delete prelink cache files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_domtrans( domain )

##### Summary

Execute prelink in the prelink domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelink_exec( domain )

##### Summary

Execute prelink in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelink_manage_lib( file_type )

##### Summary

Create, read, write, and delete prelink var_lib files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_manage_log( file_type )

##### Summary

Create, read, write, and delete prelink log files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_object_file( file_type )

##### Summary

Make the specified file type prelinkable.

##### Parameters

Parameter: | Description:
--- | ---
file_type | File type to be prelinked.

prelink_read_cache( file_type )

##### Summary

Read prelink cache files.

##### Parameters

Parameter: | Description:
--- | ---
file_type | Domain allowed access.

prelink_relabel_lib( domain )

##### Summary

Relabel prelink lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelink_relabelfrom_lib( domain )

##### Summary

Relabel from prelink lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelink_run( domain , role )

##### Summary

Execute prelink in the prelink domain, and allow the specified role the prelink domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return